Bug 247951 - net-mgmt/py-snmp_passpersist: Update to 2.0.0 and Take MAINTAINER'ship
Summary: net-mgmt/py-snmp_passpersist: Update to 2.0.0 and Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-13 14:48 UTC by James French
Modified: 2020-08-02 14:37 UTC (History)
3 users (show)

See Also:


Attachments
Bump version to 2.0.0 and take MAINTAINER'ship (1.35 KB, patch)
2020-07-13 14:48 UTC, James French
no flags Details | Diff
Patch 1.3.0 to 2.0.0 & Add Py2 dependency on futures. (1.57 KB, patch)
2020-07-15 03:37 UTC, James French
no flags Details | Diff
Poudriere build log py37 (20.23 KB, text/plain)
2020-07-23 15:35 UTC, James French
no flags Details
Poudriere build log py27 (22.56 KB, text/plain)
2020-07-23 15:36 UTC, James French
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description James French 2020-07-13 14:48:55 UTC
Created attachment 216420 [details]
Bump version to 2.0.0 and take MAINTAINER'ship

Version 1.3.0 is broken with Python3 (syntax issues) & Version 2.0.0 is nearly a year old at this point.

Last maintainer patch upload was September 2016, I'm using this port and happy to look after it going forward.
Comment 1 Bugzilla Automation freebsd_committer 2020-07-13 14:48:55 UTC
Maintainer informed via mail
Comment 2 Automation User 2020-07-13 15:24:25 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/166046016
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-14 23:32:26 UTC
Thank you James!

Upstream mentions:

"""
If you're running Python 2.x and see this error :

ImportError: No module named builtins

Install the future package to fix the issue: pip install future
"""

Can you test is this is indeed needed for this port on Python 2.x and add a conditional RUN_DEPENDS on py-future if its required

Thanks!
Comment 4 James French 2020-07-15 03:37:40 UTC
Created attachment 216454 [details]
Patch 1.3.0 to 2.0.0 & Add Py2 dependency on futures.

Attached should add the Python 2 dependency.

Upstream committed a pair of bad unicode character fixes for README.md after the v2.0.0 named tag. Because that file gets dragged in as the module long description it was causing issues with Python3 < 3.7. I've swapped back to pulling a specific tag to drag that upstream fix in as well  (just in case) as Python 3.5 & 3.6 are still in the ports tree.
Comment 5 James French 2020-07-23 15:35:34 UTC
Created attachment 216706 [details]
Poudriere build log py37
Comment 6 James French 2020-07-23 15:36:24 UTC
Created attachment 216708 [details]
Poudriere build log py27
Comment 7 commit-hook freebsd_committer 2020-08-02 14:24:18 UTC
A commit references this bug:

Author: swills
Date: Sun Aug  2 14:24:03 UTC 2020
New revision: 543965
URL: https://svnweb.freebsd.org/changeset/ports/543965

Log:
  net-mgmt/py-snmp_passpersist Update to 2.0.0

  PR:		247951
  Submitted by:	James French <james@french.id.au>
  Approved by:	maintainer timeout (surajravi@gmail.com, >2 weeks)

Changes:
  head/net-mgmt/py-snmp_passpersist/Makefile
  head/net-mgmt/py-snmp_passpersist/distinfo
Comment 8 commit-hook freebsd_committer 2020-08-02 14:36:21 UTC
A commit references this bug:

Author: swills
Date: Sun Aug  2 14:35:20 UTC 2020
New revision: 543966
URL: https://svnweb.freebsd.org/changeset/ports/543966

Log:
  Fix python 2 issue with 2.0.0

  Missed by me in previous commit

  PR:		247951
  Submitted by:	James French <james@french.id.au>
  Approved by:	maintainer timeout (surajravi@gmail.com, >2 weeks)

Changes:
  head/net-mgmt/py-snmp_passpersist/Makefile
  head/net-mgmt/py-snmp_passpersist/distinfo
Comment 9 Steve Wills freebsd_committer 2020-08-02 14:37:27 UTC
Committed, not changing maintainer for now, there's only been one time out as far as I can see (this one). Thanks for the patch!